package cn.hnthyy.thmz.service.his.mz;

import cn.hnthyy.thmz.entity.his.mz.MzyZdReqtype;

import java.util.List;

public interface MzyZdReqtypeService {
    /**
     * 查询所有的号别类别
     * @return
     */
    List<MzyZdReqtype> queryMzyZdReqtype();


    /**
     * 新增号别
     * @param mzyZdReqtype
     * @return
     */
    int saveMzyZdReqtype(MzyZdReqtype mzyZdReqtype);

    /**
     * 根据编码修改号别类别
     * @param mzyZdReqtype
     * @return
     */
    int modifyMzyZdReqtype(MzyZdReqtype mzyZdReqtype);

    /**
     * 删除
     * @param code
     * @return
     */
    int removeMzyZdReqtype(String code);

    /**
     * 获取最新的编码
     * @return
     */
    String getNewCode();
}
